// datestamp of Foxfgl_initialize.txt: 1071330498

/// End of Headers ///

// Declare required initialization functions.

void Foxfox_initialize(int&);
void atr_initialize(int&);
void mem_initialize(int&);

// Initialize guard.

static int called = 0;

void Foxfgl_initialize(int& active) {
    if (called++) return; // Skip if already invoked.
    active++; // Activate.

    // Invoke required initialization functions.

    mem_initialize(active);
    atr_initialize(active);
    Foxfox_initialize(active);

/// Begin Facility Initialization ///
/// End Facility Initialization ///
}

// Declare required finalization functions.

void Foxfox_finalize(int&);
void atr_finalize(int&);
void mem_finalize(int&);

void Foxfgl_finalize(int& active) {
    if (--called) return; // Skip unless all dependents are gone.
    active--; // Deactivate

/// Begin Facility Finalization ///
/// End Facility Finalization ///

    // Invoke required finalization functions.

    Foxfox_finalize(active);
    atr_finalize(active);
    mem_finalize(active);
}
