// datestamp of Foxfox_initialize.txt: 1073309921

// Begin local includes
#include <FXApp.h>

extern void spw_formalize();

void Foxfox_formalize() {}
/// End of Headers ///

// Declare required initialization functions.

void atr_initialize(int&);
void mem_initialize(int&);
void spw_initialize(int&);

// Initialize guard.

static int called = 0;

void Foxfox_initialize(int& active) {
    if (called++) return; // Skip if already invoked.
    active++; // Activate.

    // Invoke required initialization functions.

    spw_initialize(active);
    mem_initialize(active);
    atr_initialize(active);

/// Begin Facility Initialization ///
    spw_formalize();
/// End Facility Initialization ///
}

// Declare required finalization functions.

void atr_finalize(int&);
void mem_finalize(int&);
void spw_finalize(int&);

void Foxfox_finalize(int& active) {
    if (--called) return; // Skip unless all dependents are gone.
    active--; // Deactivate

/// Begin Facility Finalization ///
    if( FXApp::instance() )
	delete FXApp::instance();
/// End Facility Finalization ///

    // Invoke required finalization functions.

    atr_finalize(active);
    mem_finalize(active);
    spw_finalize(active);
}
