#ifndef atr_translate_h
#define atr_translate_h

// This function provides an interface to translate a character string.
#include <stdarg.h>
// Begin local includes
#include <atr_String.h>

atr_String atr_vaList(const char *str, va_list args);

// Function to receive a string to be translated and return the
// translated version
inline atr_String atr(const char *str, ...)
{
  va_list args; 
  va_start( args,str); 
  atr_String retVal = atr_vaList(str,args );
  va_end(args);
  return retVal;
}
atr_String atr_raw(const char *pStr);

#endif // atr_translate_h
